HORIZON HASKELLDocslts/ghc-9.10.xc74966e2026-09-27Search names, modules, packages, or :: a typeCtrl K

GHC 9.10.3 · lts/ghc-9.10.x · c74966e · 2026-09-27

Modulestripeapi-3.0.0.0Haskell2010

StripeAPI.Operations.PostInvoices

Contains the different functions to run the operation postInvoices

  • 40 types
  • 18 values
valuepostInvoices
  1. :: MonadHTTP m
  2. => Maybe PostInvoicesRequestBody

    The request body to send

  3. -> ClientT m (Response PostInvoicesResponse)

    Monadic computation which returns the result of the operation

#
POST /v1/invoices

<p>This endpoint creates a draft invoice for a given customer. The draft invoice created pulls in all pending invoice items on that customer, including prorations. The invoice remains a draft until you <a href="#finalize_invoice">finalize</a> the invoice, which allows you to <a href="#pay_invoice">pay</a> or <a href="#send_invoice">send</a> the invoice to your customers.</p>

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.account_tax_ids.anyOf in the specification.

The account tax IDs associated with the invoice. Only editable when the invoice is a draft.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.automatic_tax in the specification.

Settings for automatic tax lookup for this invoice.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.collection_method in the specification.

Either `charge_automatically`, or `send_invoice`. When charging automatically, Stripe will attempt to pay this invoice using the default source attached to the customer. When sending an invoice, Stripe will email this invoice to the customer with payment instructions. Defaults to `charge_automatically`.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.custom_fields.anyOf.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.custom_fields.anyOf in the specification.

A list of up to 4 custom fields to be displayed on the invoice.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.discounts.anyOf in the specification.

The coupons to redeem into discounts for the invoice. If not specified, inherits the discount from the invoice's customer. Pass an empty string to avoid inheriting any discounts.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.metadata.anyOf in the specification.

Set of key-value pairs that you can attach to an object. This can be useful for storing additional information about the object in a structured format. Individual keys can be unset by posting an empty value to them. All keys can be unset by posting an empty value to `metadata`.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings in the specification.

Configuration settings for the PaymentIntent that is generated when the invoice is finalized.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.acss_debit.anyOf.properties.mandate_options in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.acss_debit.anyOf.properties.mandate_options.properties.transaction_type in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.acss_debit.anyOf.properties.verification_method in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.acss_debit.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.bancontact.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.bancontact.anyOf.properties.preferred_language in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.bancontact.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.card.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.card.anyOf.properties.request_three_d_secure in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.card.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.customer_balance.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.customer_balance.anyOf.properties.bank_transfer in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.customer_balance.anyOf.properties.bank_transfer.properties.eu_bank_transfer in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.customer_balance.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.konbini.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON
Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.us_bank_account.anyOf.properties.financial_connections in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.us_bank_account.anyOf.properties.financial_connections.properties.permissions.items in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.us_bank_account.anyOf.properties.verification_method in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_options.properties.us_bank_account.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_types.anyOf.items in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.payment_settings.properties.payment_method_types.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.pending_invoice_items_behavior in the specification.

How to handle pending invoice items on invoice creation. One of `include`, `exclude`, or `include_and_require`. `include` will include any pending invoice items, and will create an empty draft invoice if no pending invoice items exist. `include_and_require` will include any pending invoice items, if no pending invoice items exist then the request will fail. `exclude` will always create an empty invoice draft regardless if there are pending invoice items or not. Defaults to `include_and_require` if the parameter is omitted.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.rendering_options.anyOf in the specification.

Instances4Eq, Show, FromJSON, ToJSON

Defines the enum schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.rendering_options.anyOf.properties.amount_tax_display in the specification.

Constructors

Instances4Eq, Show, FromJSON, ToJSON

Defines the oneOf schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.rendering_options.anyOf in the specification.

Options for invoice PDF rendering.

Instances4Eq, Show, FromJSON, ToJSON

Defines the object schema located at paths./v1/invoices.POST.requestBody.content.application/x-www-form-urlencoded.schema.properties.transfer_data in the specification.

If specified, the funds from the invoice will be transferred to the destination and the ID of the resulting transfer will be found on the invoice's charge.

Instances4Eq, Show, FromJSON, ToJSON
datadata PostInvoicesResponse
#

Represents a response of the operation postInvoices.

The response constructor is chosen by the status code of the response. If no case matches (no specific case for the response code, no range case, no default case), PostInvoicesResponseError is used.

Constructors

Instances2Eq, Show